Bug 736051 - Review Request: rubygem-archivist - A rails 3 model archiving system based on acts_as_archive
Review Request: rubygem-archivist - A rails 3 model archiving system based on...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 10:21 EDT by Maros Zatko
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-14 08:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mfojtik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Maros Zatko 2011-09-06 10:21:49 EDT
Spec URL: http://v3.sk/~hexo/rpm/rubygem-archivist.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-archivist-1.0.5.1-1.fc15.src.rpm
Description: This is a functional replacement for acts_as_archive in
rails 3 applications, the only functionality that is not
duplicated is the migration from acts_as_paranoid

This is my first package and I need sponsor.
Comment 1 Gregor Tätzner 2011-09-06 18:42:08 EDT
unofficial feedback:
rpmlint rubygem-archivist-1.0.5.1-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint rubygem-archivist-1.0.5.1-1.fc15.noarch.rpm 
rubygem-archivist.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Are you sure --no-rdoc and --no-ri in gem install is right?

otherwise it looks good.
Comment 2 Michal Fojtik 2011-09-13 08:03:50 EDT
Review:

<snip>
Requires: ruby(abi) = %{rubyabi}
.... 
Requires: ruby 
</snip>

* Is this necessary?
* Is the %prep section necessary? I can't see any tests running there. In %prep you copy all gem files with gem install in one place and in %install you move them to another. Why not use gem install in %install section?
* Remove the 'echo %{SOURCE0}'
* Is the rubygem(shoulda) really needed as a Runtime dependency?
Comment 3 Maros Zatko 2011-09-13 10:14:04 EDT
removed:
requirement of ruby and shoulda,
'echo %{SOURCE0}'

added:
%doc section
ri and rdocs are now part of package

Spec URL: http://v3.sk/~hexo/rpm/rubygem-archivist.spec
SRPM URL: http://v3.sk/~hexo/rpm/rubygem-archivist-1.0.5.1-2.fc15.src.rpm
Comment 4 Michal Fojtik 2011-09-14 07:22:53 EDT
Looks safe. Suggestion: Move %doc to -doc subpackage :)

REVIEW+
Comment 5 Marek Mahut 2011-09-14 07:29:46 EDT
Taking for sponsorship.
Comment 6 Maros Zatko 2011-09-14 07:52:27 EDT
New Package SCM Request
=======================
Package Name: rubygem-archivist
Short Description: A rails 3 model archiving system based on acts_as_archive
Owners: mzatko
Branches: f15
InitialCC:
Comment 7 Marek Mahut 2011-09-14 08:32:58 EDT
I don't think you can set up you as the owner, we can change the ownership after you get sponsored.

New Package SCM Request
=======================
Package Name: rubygem-archivist
Short Description: A rails 3 model archiving system based on acts_as_archive
Owners: mmahut
Branches: f15 f16
InitialCC: mzatko
Comment 8 Jon Ciesla 2011-09-14 08:38:58 EDT
Git done (by process-git-requests).
Comment 9 Marek Mahut 2011-09-14 08:49:25 EDT
Thank you, building it now.
Comment 10 Fedora Update System 2011-09-14 09:03:49 EDT
rubygem-archivist-1.0.5.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-archivist-1.0.5.1-2.fc15
Comment 11 Fedora Update System 2011-09-15 21:57:16 EDT
rubygem-archivist-1.0.5.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Vít Ondruch 2011-09-21 02:02:11 EDT
(In reply to comment #2)
> Review:
> 
> <snip>
> Requires: ruby(abi) = %{rubyabi}
> .... 
> Requires: ruby 
> </snip>
> 
> * Is this necessary?
> * Is the %prep section necessary? I can't see any tests running there. In %prep
> you copy all gem files with gem install in one place and in %install you move
> them to another. Why not use gem install in %install section?
> * Remove the 'echo %{SOURCE0}'
> * Is the rubygem(shoulda) really needed as a Runtime dependency?

Don't that forget we have JRuby in Fedora now. If JRuby are going to provide ruby(abi) (and they should if they are not doing so yet), the it makes sense. However this is unfortunately gray area yet :/
Comment 13 Vít Ondruch 2012-08-10 09:08:20 EDT
Package Change Request
======================
Package Name: rubygem-archivist
New Branches: f18
Owners: vondruch jzigmund mmahut
InitialCC:
Comment 14 Jon Ciesla 2012-08-10 09:09:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.